kvpnc crashes with SIGSEGV when trying to import a Cisco .pcf file

Bug #77950 reported by Pierre Bauduin on 2007-01-04
4
Affects Status Importance Assigned to Milestone
kvpnc (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: kvpnc

I have a problem with kvpnc 0.8.2.1-0ubuntu3 on Ubuntu 6.06 LTS
I'm installing it with:
sudo apt-get install kvpnc vpnc

I start kvpnc as root (alt+F2 and kdesu kvpnc)
I choose Profile > import Cisco .pcf file
I select the file and click OK
And *poof*, Segmentation fault (SIGSEGV)
Here's the output of kvpnc:
-------------------------------------------------------------
X Error: BadDevice, invalid or uninitialized input device 168
  Major opcode: 145
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 168
  Major opcode: 145
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
ScimInputContextPlugin()
error: groupPasswd: decoding input: Success
*** glibc detected *** double free or corruption (fasttop): 0x0839fa58 ***
KCrash: Application 'kvpnc' crashing...
Warning: connect() failed: : No such file or directory
KCrash cannot reach kdeinit, launching directly.
Alarm clock
-------------------------------------------------------------

Any help would be appreciated

Pierre Bauduin (pierrebauduin) wrote :

Hi again,

In order to be 100% sure the crash is caused by kvpnc, I just did a fresh install of Ubuntu 6.0.6.1 from the iso image. Then I did apt-get update && apt-get upgrade to make sure I had the latest release of kvpnc.

However, it is the same version of kvpnc: 0.8.2.1-0ubuntu3

Alas, when I open the Cisco .pcf file in kvpnc, the application crashes.
Now it crashes with signal 6 (SIGABRT).

Could somebody look into this ?

Thank you,
Pierre

I can confirm this.

AFAIK it was fixed in Edgy though.

marking as fixed, if it's fixed in edgy (and feisty)

Changed in kvpnc:
status: Unconfirmed → Fix Released

Thank you but...

I need it to be fixed in Ubuntu 6.06 LTS.
Not in Ubuntu 6.10 or Feisty

Greetings,
--
Pierre Bauduin

2007/3/12, Sarah Hobbs <
<email address hidden>
>:
>
> marking as fixed, if it's fixed in edgy (and feisty)
>
> ** Changed in: kvpnc (Ubuntu)
> Status: Unconfirmed => Fix Released
>
> --
> kvpnc crashes with SIGSEGV when trying to import a Cisco .pcf file
> https://launchpad.net/bugs/77950
>

AaronPeterson (alpeterson) wrote :

I must agree with the previous guy.. .this bug needs to be open..

It's Ubuntu 6.06 LTS not Ubuntu 6.06 NS
(Long Term Support vs No Support)

If this wern't an lts release, you'd be perfectly justified in closing this bug.

To the closer's credit...
It's very very hard to fix bugs and keep compatibility... Ever wonder why Debian is lightyears behind on a stable release?

It's not bad to add new features to an LTS release if they don't break compatibility.

Basically, I don't get why this lts release isn't using the latest KDE... (it's just had minor version upgrades) built with the same tools as the prior ones..

that said this bug is a dupe of
https://launchpad.net/bugs/41727

and it is NOT FIXED in edgy.. (or at least importing an openvpn.conf crashes it)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers